/*
* Copyright (C) 2019 Tianjin KYLIN Information Technology Co., Ltd.
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3, or (at your option)
* any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, see <http://www.gnu.org/licenses/&gt;.
*
*/

#ifndef QUICKOPERATIONDBUS_H
#define QUICKOPERATIONDBUS_H

#include <QObject>
#include <QDBusConnection>
#include <QDateTime>
#include <QMap>
#include <QDateTime>

class QuickOperationDbus : public QObject
{
    Q_OBJECT
    //申明该类有D-BUS服务接口
    Q_CLASSINFO("D-Bus Interface", "org.ukui.Sidebar.quick.operation")

public:
    QuickOperationDbus();
    ~QuickOperationDbus();

    int m_quickOperationHeight = 0;
    int m_quickOperationWidth = 0;
    int m_quickOperationHideHeight = 0;
    int m_animationSpeed = 0;

    QString m_flodState;

public slots:

    void setQuickOperationPanelHeight(int height);
    void setQuickOperationPanelWidth(int width);
    void setQuickOperationPanelHideHeight(int width);
    void setAnimationSpeed(int speed);
    void setFoldOrunfold(QString state);

    int getQuickOperationPanelHeight();
    int getQuickOperationPanelWidth();
    int getQuickOperationPanelHideHeight();
    int getAnimationSpeed();

    QString getFoldOrUnfold();

Q_SIGNALS:
    void Sig_QuickOperation(QString states);

};

#endif // QUICKOPERATIONDBUS_H
